- return unless @group.licensed_feature_available?(:custom_file_templates_for_namespace)

%section.settings.no-animate#js-templates{ class: ('expanded' if expanded), data: { qa_selector: 'file_template_repositories' } }
  .settings-header
    %h4
      = _('Templates')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded ? _('Collapse') : _('Expand')
    %p
      = _('Select a repository containing templates for common files.')
      = link_to _('What templates can I create?'), help_page_path('user/admin_area/settings/instance_template_repository.md', anchor: 'supported-file-types-and-locations'), target: '_blank', rel: 'noopener noreferrer'
  .settings-content
    = form_for @group, url: group_path, html: { class: 'fieldset-form' } do |f|
      = form_errors(@group)

      %fieldset
        .form-group
          = f.label :file_template_project_id, class: 'label-light' do
            = _('Select a template repository')
          = project_select_tag('group[file_template_project_id]', class: 'project-item-select hidden-filter-value qa-file-template-repository-dropdown', toggle_class: 'js-project-search js-project-filter js-filter-submit', dropdown_class: 'dropdown-menu-selectable dropdown-menu-project js-filter-submit',
            placeholder: _('Search projects'), idAttribute: 'id', data: { order_by: 'last_activity_at', idattribute: 'id', simple_filter: true, allow_clear: true }, value: @group.checked_file_template_project_id)
          = s_('Create common files more quickly, and standardize their format.')
          = link_to s_("How do I use file templates?"), help_page_path('user/project/repository/web_editor.md', anchor: 'template-dropdowns'), target: '_blank', rel: 'noopener noreferrer'
      = f.submit _('Save changes'), class: "btn gl-button btn-confirm", data: { qa_selector: 'save_changes_button' }
